ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Driver.Config.Finder

Synopsis

- data FinderOpts = FinderOpts {
  - finder_importPaths :: [FilePath]
  - finder_lookupHomeInterfaces :: Bool
  - finder_bypassHiFileCheck :: Bool
  - finder_ways :: Ways
  - finder_enableSuggestions :: Bool
  - finder_workingDirectory :: Maybe FilePath
  - finder_thisPackageName :: Maybe FastString
  - finder_hiddenModules :: Set ModuleName
  - finder_reexportedModules :: Set ModuleName
  - finder_hieDir :: Maybe FilePath
  - finder_hieSuf :: String
  - finder_hiDir :: Maybe FilePath
  - finder_hiSuf :: String
  - finder_dynHiSuf :: String
  - finder_objectDir :: Maybe FilePath
  - finder_objectSuf :: String
  - finder_dynObjectSuf :: String
  - finder_stubDir :: Maybe FilePath
  }
- initFinderOpts :: DynFlags -> FinderOpts

# Documentation

data FinderOpts Source #

Locations and information the finder cares about.

Should be taken from `DynFlags` via `initFinderOpts`.

Constructors

FinderOpts |

Fields

- finder_importPaths :: [FilePath]

  Where are we allowed to look for Modules and Source files

- finder_lookupHomeInterfaces :: Bool

  When looking up a home module:

  - `True`: search interface files (e.g. in '-c' mode)
  - `False`: search source files (e.g. in '--make' mode)
- finder_bypassHiFileCheck :: Bool

  Don't check that an imported interface file actually exists if it can only be at one location. The interface will be reported as `InstalledFound` even if the file doesn't exist, so this is only useful in specific cases (e.g. to generate dependencies with `ghc -M`)

- finder_ways :: Ways
- finder_enableSuggestions :: Bool

  If we encounter unknown modules, should we suggest modules that have a similar name.

- finder_workingDirectory :: Maybe FilePath
- finder_thisPackageName :: Maybe FastString
- finder_hiddenModules :: Set ModuleName
- finder_reexportedModules :: Set ModuleName
- finder_hieDir :: Maybe FilePath
- finder_hieSuf :: String
- finder_hiDir :: Maybe FilePath
- finder_hiSuf :: String
- finder_dynHiSuf :: String
- finder_objectDir :: Maybe FilePath
- finder_objectSuf :: String
- finder_dynObjectSuf :: String
- finder_stubDir :: Maybe FilePath

#### Instances

Instances details

Show FinderOpts Source # |
Instance details Defined in GHC.Unit.Finder.Types Methods showsPrec :: Int -> FinderOpts -> ShowS Source # show :: FinderOpts -> String Source # showList :: [FinderOpts] -> ShowS Source #

initFinderOpts :: DynFlags -> FinderOpts Source #

Create a new `FinderOpts` from DynFlags.